nu.xom.xinclude

## Class BadEncodingAttributeException

- Object
- - Throwable
  - - Exception
    - - nu.xom.xinclude.XIncludeException
      - - nu.xom.xinclude.BadEncodingAttributeException

- All Implemented Interfaces:
    Serializable

      public class BadEncodingAttributeException
      extends XIncludeException

  Indicates that the `encoding` attribute is not an EncName as defined in the XML specification, section 4.3.3, rule 81.

  Version:
    1.3.9
  Author:
    Elliotte Rusty Harold
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BadEncodingAttributeException(String message)` Constructs a `BadEncodingAttributeException` with the specified detail message.
    `BadEncodingAttributeException(String message, String uri)` Creates a new `BadEncodingAttributeException` with a detail message and the URI of the document that caused the exception.

  - ### Method Summary

    - ### Methods inherited from class nu.xom.xinclude.XIncludeException

      `getCause, getURI, initCause`

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BadEncodingAttributeException

          public BadEncodingAttributeException(String message)

      Constructs a `BadEncodingAttributeException` with the specified detail message.

      Parameters:
        `message` - a string indicating the specific problem

    - #### BadEncodingAttributeException

          public BadEncodingAttributeException(String message,
                                               String uri)

      Creates a new `BadEncodingAttributeException` with a detail message and the URI of the document that caused the exception.

      Parameters:
        `message` - a string indicating the specific problem
        `uri` - the URI of the document that caused this exception

Copyright 2002-2026 Elliotte Rusty Harold
elharo@ibiblio.org